Page MenuHomePhabricator

Content disappears on Nokia N9 (Meego OS)
Closed, ResolvedPublic

Description

Got this comment from a user on irc. Couldn't get more details ?

18:05 <marsje> good evening... is this the right place to start to find a solution for the mobile wikipedia site not working on my mobile browser?
18:07 <marsje> I have a Nokia N9 (Meego OS) and it used to work fine with m.wikipedia.org until a few weeks ago. Unfortunately I'm automatically redirected to the mobile version and the link to go back to the desktop version has disappeared, as wel as the rest of the content
18:13 <marsje> my user agent: Mozilla/5.0 (MeeGo; NokiaN9) AppleWebKit/534.13 (KHTML, like Gecko) NokiaBrowser/8.5.0 Mobile Safari/534.13

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez added a subscriber: Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 4:45 PM

Hi, this is marsje :-)

The page seems to load fine, but after a second or so, it gets messed up. Seems like a loaded css or js file is making half the page disappear.

Top of page:

Middle:

Middle with item expanded:

Bottom:

kaldari renamed this task from Strange behavior of mobile wikipedia to Content disappears on Nokia N9 (Meego OS).May 1 2015, 5:14 PM
kaldari set Security to None.
bmansurov claimed this task.May 4 2015, 5:43 PM

Some days later and now the same page looks like this:

bmansurov added a comment.EditedMay 4 2015, 10:14 PM

From the new screenshots, the initial issue may be temporary and now at least the site seems usable.
Some info: The MeeGO project was cancelled in 2011 and I was not able to find an emulator to test it. I however found that the QT SDK 1.1.2 has an emulator for Nokia, however, it doesn't give me access to the stock browser. It only allows creating and running QT apps on it.

At this stage, I think we may want to add NokiaBrowser/8.5.0 to the list of unsupported browsers. But the issue now seems to be related to CSS and not JavaScript.

Anyone has any suggestions, @kaldari, @phuedx?

More info from @Marcelvb on IRC about the hamburger menu and editing:

  1. the hamburger that became a a big grey bar does work and gives me a fancy menu on the left side
  2. editing works in the sense I get an editable page, but there seem to be some focus/zoom issues making the experience not so good. I wouldn't even expect it to work, so hat off for getting it to work this far.
phuedx added a comment.May 6 2015, 5:16 PM

@bmansurov: As discussed, add the browser to the list of unsupported browsers and disable JS for its user agent.

Change 209278 had a related patch set uploaded (by Bmansurov):
Blacklist MeeGo's browser

https://gerrit.wikimedia.org/r/209278

Change 209278 merged by jenkins-bot:
Blacklist MeeGo's browser

https://gerrit.wikimedia.org/r/209278

phuedx closed this task as Resolved.May 7 2015, 10:32 AM
phuedx removed a project: Patch-For-Review.